List conversations
Use this to find conversations by status, channel, assignee, tags, or contact filter before inspecting one with conversations.get. Returns cursor-paginated workspace conversations.
curl --request GET \
--url https://app.chatbotx.io/api/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.chatbotx.io/api/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.chatbotx.io/api/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botEnabled": true,
"botResumeAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"additionalAttributes": "<string>",
"contactLastReadAt": "2023-11-07T05:31:56Z",
"agentLastReadAt": "2023-11-07T05:31:56Z",
"lastActivityAt": "2023-11-07T05:31:56Z",
"followed": true,
"workspaceId": "<string>",
"contactId": "<string>",
"sourceId": "<string>",
"lastStep": "<string>",
"currentStep": "<string>",
"adminRepliedAt": "2023-11-07T05:31:56Z",
"contactRepliedAt": "2023-11-07T05:31:56Z",
"contactInboxes": [
{
"id": "<string>",
"contactId": "<string>",
"inboxId": "<string>",
"channel": "<string>",
"source": "<string>",
"sourceId": "<string>",
"language": "<string>",
"lastIncomingMessageAt": "2023-11-07T05:31:56Z",
"inbox": {
"name": "<string>"
},
"adReferral": {
"adTitle": "<string>",
"sourceUrl": "<string>"
},
"lastMessageAt": "2023-11-07T05:31:56Z",
"sourceUserId": "<string>",
"sourceUsername": "<string>",
"contactLastReadAt": "2023-11-07T05:31:56Z"
}
],
"messages": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"conversationId": "<string>",
"contactInboxId": "<string>",
"workspaceId": "<string>",
"text": "<string>",
"contentAttributes": "<string>",
"messageType": "incoming",
"contentType": "text",
"senderType": "bot",
"sourceId": "<string>",
"deletedAt": "2023-11-07T05:31:56Z",
"type": "message",
"parentId": "<string>",
"attributes": "<string>",
"sendError": "<string>",
"senderId": null,
"clientId": "<string>",
"attachmentCount": 123,
"attachments": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"messageCreatedAt": "2023-11-07T05:31:56Z",
"fileType": "image",
"sourceId": "<string>",
"mimeType": "<string>",
"width": -1,
"height": -1,
"size": -1,
"thumbnailPath": "<string>",
"originPath": "<string>",
"name": "<string>",
"workspaceId": "<unknown>",
"conversationId": "<unknown>",
"messageId": "<unknown>",
"url": "<string>"
}
],
"user": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"isAnonymous": true,
"mustChangePassword": true,
"tenantId": "<unknown>"
},
"contact": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"emailVerified": true,
"emailOptIn": true,
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"gender": "male",
"lastReadAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"location": "<string>",
"locale": "<string>",
"timezone": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"broadcastSubscribedAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>"
}
}
],
"contact": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"avatar": "<string>",
"phoneNumber": "<string>",
"email": "<string>",
"emailVerified": true,
"emailOptIn": true,
"firstName": "<string>",
"lastName": "<string>",
"fullName": "<string>",
"gender": "male",
"lastReadAt": "2023-11-07T05:31:56Z",
"ref": "<string>",
"country": "<string>",
"state": "<string>",
"city": "<string>",
"location": "<string>",
"locale": "<string>",
"timezone": "<string>",
"subscribedAt": "2023-11-07T05:31:56Z",
"broadcastSubscribedAt": "2023-11-07T05:31:56Z",
"blockedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>"
},
"assignedUser": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"emailVerified": true,
"image": "<string>",
"isAnonymous": true,
"mustChangePassword": true,
"tenantId": "<unknown>"
},
"assignedInboxTeam": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"workspaceId": "<string>",
"name": "<string>"
},
"aiContextLastMessageId": null,
"assignedUserId": null,
"assignedInboxTeamId": null
}
],
"nextCursor": "<string>",
"prevCursor": "<string>"
}{
"defined": true,
"code": "businessError",
"status": 400,
"message": "An error occurred while processing your request",
"data": "<unknown>"
}{
"defined": true,
"code": "UNAUTHORIZED",
"status": 401,
"message": "Authentication required",
"data": "<unknown>"
}{
"defined": true,
"code": "FORBIDDEN",
"status": 403,
"message": "You do not have permission to perform this action",
"data": "<unknown>"
}{
"defined": true,
"code": "invalidRequestData",
"status": 422,
"message": "Input validation failed",
"data": {
"issues": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}
}{
"defined": true,
"code": "tooManyRequests",
"status": 429,
"message": "Too many requests",
"data": "<unknown>"
}{
"defined": true,
"code": "INTERNAL_SERVER_ERROR",
"status": 500,
"message": "An unexpected error occurred",
"data": "<unknown>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Restrict to conversations in this bot lifecycle category.
bot, human, all Restrict to conversations assigned to this user/inbox-team id (u_<id>/t_<id>), or null for unassigned.
Restrict to conversations on this channel.
omnichannel, webchat, messenger, whatsapp, zalo, smtp, telegram, instagram, threads, tiktok, api Restrict to conversations in one of these statuses. Sent as a JSON-encoded array.
noAdminReply, unread, followUp, archived, blocked Case-insensitive substring match against the conversation's contact.
Restrict to conversations with the bot enabled or disabled.
Restrict to conversations matching one of these system tags. Sent as a JSON-encoded array.
noAdminReply, unread, followUp, archived, blocked Structured filter for advanced matching on the conversation's contact. Sent as a JSON-encoded object. See contacts.listFilterFields for the field/operator reference.
Show child attributes
Show child attributes
Opaque pagination cursor from a previous response's nextCursor. Omit to start from the first page.
Number of items per page.
1 <= x <= 9007199254740991Sort order as [{ id, desc }] column/direction pairs.
Show child attributes
Show child attributes
Was this page helpful?
